Bird

Sender Profiles

GET
/workspaces/{workspaceId}/sender-profiles
Retrieve a list of sender profiles associated with the account
Paramètres de requête
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.id
string
obligatoire
results.name
string
obligatoire
results.email
object
Afficher les attributs enfants
results.email.username
string
obligatoire
results.email.domain
string
obligatoire
results.allowedEntities
array of object
Afficher les attributs enfants
results.allowedEntities.entityType
string
obligatoire
Possible values: team, agent
results.allowedEntities.operation
string
Possible values: view, edit
results.allowedEntities.entityId
string
obligatoire
results.channelId
string
obligatoire
results.signature
string
results.createdAt
string
obligatoire
results.updatedAt
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/sender-profiles
Create a new sender profile, defining its name, and other attributes.
Corps de la requête
name
string
obligatoire
username
string
allowedEntities
array of object
Afficher les paramètres enfants
allowedEntities.entityType
string
obligatoire
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
obligatoire
channelId
string
obligatoire
signature
string
Exemple de code
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Retrieve information about a specific sender profile, including its name, and other attributes.
Corps de la réponse
id
string
obligatoire
name
string
obligatoire
email
object
Afficher les attributs enfants
email.username
string
obligatoire
email.domain
string
obligatoire
allowedEntities
array of object
Afficher les attributs enfants
allowedEntities.entityType
string
obligatoire
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
obligatoire
channelId
string
obligatoire
signature
string
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Modify the details of a specific sender profile, such as its name or other attributes.
Corps de la requête
name
string
username
string
signature
string
allowedEntities
array of object
Afficher les paramètres enfants
allowedEntities.entityType
string
obligatoire
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
obligatoire
channelId
string
Corps de la réponse
id
string
obligatoire
name
string
obligatoire
email
object
Afficher les attributs enfants
email.username
string
obligatoire
email.domain
string
obligatoire
allowedEntities
array of object
Afficher les attributs enfants
allowedEntities.entityType
string
obligatoire
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
obligatoire
channelId
string
obligatoire
signature
string
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Remove a specific sender profile.
Exemple de code
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/sender-profiles/signature-variables
Retrieve a list of variables to use for signature configuration in sender profile.
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.id
string
results.name
string
results.defaultDescription
string
results.variable
string
results.category
string
results.replacementAttribute
string
results.langDescription
object
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/signature-variables' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/users/{userId}/sender-profiles
Retrieve a list of sender profiles associated with a user.
Paramètres de requête
channelId
string
Filter by channelId
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.id
string
obligatoire
results.name
string
obligatoire
results.email
object
Afficher les attributs enfants
results.email.username
string
obligatoire
results.email.domain
string
obligatoire
results.allowedEntities
array of object
Afficher les attributs enfants
results.allowedEntities.entityType
string
obligatoire
Possible values: team, agent
results.allowedEntities.operation
string
Possible values: view, edit
results.allowedEntities.entityId
string
obligatoire
results.channelId
string
obligatoire
results.signature
string
results.createdAt
string
obligatoire
results.updatedAt
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/users/{userId}/sender-profiles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'